typedef struct {} FILE;
#define _DIABLO_C_
#include "Diablo.h"
#include "PlugUlmo.h"

unsigned long int PropIndex[PropertyMax];

void InitDiablo(int version) {
   switch (version) {
      case D109 :
      case D109b:
/*         SetCursorSize                      = 0x00407437; */
         SetCursorPicture                   = 0x0040746B;
         Random                             = 0x0041754B;
         ReleaseFile                        = 0x004175E8;
         LoadFileHook1                      = 0x0041B347;
         DoesFitInInventory                 = 0x0041C23F;
         DoesFitInInventoryOrBelt           = 0x0041C373;
         RemoveItemWithPosIndex             = 0x0041D722;
         RemoveItemWithNegIndex             = 0x0041D810;
         UpdateItem                         = 0x0041FD3E;
         IsEquipable                        = 0x004241D7;
         LoadFileHook2                      = 0x00426575;
         SaveFileRelated                    = 0x00449A33;
         SaveFileHook                       = 0x00449AD5;
         CreatePlrHook                      = 0x0044A2A4;
         PartOfLoadFileIII                  = 0x0044A512;
         CreatePlayer                       = 0x0044B274;
         UpdateSmallMenu                    = 0x00457B78;
         DisplayMenuLine                    = 0x00457BD6;
         DisplayMenuFullLine                = 0x00457DE2;
         UpdateLift                         = 0x00457E62;
         EraseMenuLinesRange                = 0x00457F61;
         SettMenuFullLine                   = 0x00457FA6;
         SetMenuLine98                      = 0x00457FCB;
         SetMenuLine04                      = 0x00457FD8;
         AddMenuLine                        = 0x00457FE5;
         AddCursorItemToInventory           = 0x00458036;
         UpdateLargeMenu                    = 0x00428104;
         GriswoldDisplay4Items              = 0x0045837D;
         DisplayItemDescription             = 0x00458439;
         GriswoldDisplay4PremiumItems       = 0x00458773;
         PlayerDisplay4Items                = 0x00458972;
         AdriaDisplay4Items                 = 0x00458FE3;
         PepinDisplay4Items                 = 0x00459AA5;
         GillianGeneralMenu                 = 0x0045A1EC;
         DisplayTownerMenu                  = 0x0045A2D0;
         UpdateMenu                         = 0x0045A48F;
         GillianBackHandler                 = 0x0045A5C4;
         AdjustGoldPaquetSize               = 0x0045A904;
         RemoveGoldFromPlayer               = 0x0045A990;
         CanSellItem                        = 0x0045AE72;
/*         GriswoldAdriaSellItemConfirmed     = 0x0045B010;
         AdriaBuyItemConfirmed              = 0x0045B39F; */
         GillianGeneralSelect               = 0x0045BE98;

         SpellTbl                           = 0x004A23C8;
/*         UpdateLife                         = 0x004B84D8; */
/*         TmpString                          = 0x004B884C; */
         CursorHeight                       = 0x004B8C9C;
         CursorWidth                        = 0x004B8CA4;
/*         CursorPictureIndex                 = 0x004B8CD0; */
         MaxNumberOfPlayers                 = 0x00679660;
         CurrentPlayer                      = 0x00686444;
         CharactersAddress                  = 0x00686448; /* End = 0x0069B7A8 */
         Characters                         = &CharactersAddress;
         FirstLineOfMenu                    = 0x0069F108;
         NbLinesInMenu                      = 0x0069F10C;
         PreviousMenuLine                   = 0x0069F110;
/*         WirtItem                           = 0x0069F118; */
         PreviousMenu                       = 0x0069F288;
/*         GriswoldPremiumItems               = 0x0069F290; */
         TownerNameIndex                    = 0x0069FB38;
         MenuLineTbl                        = 0x0069FB40;
         LargeMenu                          = 0x006A09E0;
         NbEntriesInLift                    = 0x006A09E4;
         MenuCursorFrameIndex               = 0x006A09E8;
         TmpPlayerItem                      = 0x006A09F0; /* End 0x006A4EF0 */ /* [0x30] */
         FirstDialogIndex                   = 0x006A4EF0;
/*         AdriaItems                         = 0x006A4EF8; */
         MenuWithLift                       = 0x006A6BB8;
/*         PepinItems                         = 0x006A6BC0; */
         ItemNumberOfLine                   = 0x006A89F0;
         PreviousFirstItemIndex             = 0x006A8A24;
         MenuLine                           = 0x006A8A28;
         LastDialogIndex                    = 0x006A8A30;
         FirstItemIndexInMenu               = 0x006A8A38;
/*         GriswoldItems                      = 0x006A8A40; End 0x006AA700 */
         LastSelectableLine                 = 0x006AA700;
         CurrentMenu                        = 0x006AA705;
         break;
      case D108 :
         SetCursorPicture                   = 0x004074E6;  /* 00407488 */
         ReleaseFile                        = 0x00417C10;  /* 00417D1B */
         LoadFileHook1                      = 0x0041B9BE;  /* 0041BAB1 */
         DoesFitInInventory                 = 0x0041C90B;  /* 0041CA3A */
         DoesFitInInventoryOrBelt           = 0x0041CA68;  /* 0041CB99 */
         RemoveItemWithPosIndex             = 0x0041DF22;  /* 0041E010 */
         RemoveItemWithNegIndex             = 0x0041E015;  /* 0041E103 */
         UpdateItem                         = 0x004205EB;  /* 00420730 */
         IsEquipable                        = 0x00424BEF;  /* 00424D53 */
         LoadFileHook2                      = 0x0042702F;  /* 004271C9 */
         SaveFileRelated                    = 0x0044AE73;  /* 0044B15A */
         SaveFileHook                       = 0x0044AF18;  /* 0044B204 */
         CreatePlrHook                      = 0x0044B6F0;
         PartOfLoadFileIII                  = 0x0044B95E;  /* 0044BA60 */
         CreatePlayer                       = 0x0044C6F1;
         UpdateSmallMenu                    = 0x004593DB;  /* 0045937B */
         DisplayMenuLine                    = 0x00459439;  /* 004593D9 */
         DisplayMenuFullLine                = 0x00459645;  /* 004595E7 */
         UpdateLift                         = 0x004596CF;  /* 00459671 */
         EraseMenuLinesRange                = 0x004597CF;  /* 00459771 */
         SettMenuFullLine                   = 0x00459814;  /* 004597B6 */
         SetMenuLine98                      = 0x00459839;  /* 004597DB */
         SetMenuLine04                      = 0x00459846;  /* 004597E8 */
         AddMenuLine                        = 0x00459853;  /* 004597F5 */
         AddCursorItemToInventory           = 0x004598A4;  /* 00459846 */
         UpdateLargeMenu                    = 0x00428B8F;  /* 00428D30 */
         GriswoldDisplay4Items              = 0x00459BEB;  /* 00459B8F */
         DisplayItemDescription             = 0x00459CA7;  /* 00459C4B */
         GriswoldDisplay4PremiumItems       = 0x00459FE7;  /* 00459F80 */
         PlayerDisplay4Items                = 0x0045A1F1;  /* 0045A18D */
         AdriaDisplay4Items                 = 0x0045A855;  /* 0045A7F2 */
         PepinDisplay4Items                 = 0x0045B381;  /* 0045B325 */
         GillianGeneralMenu                 = 0x0045BB6D;  /* 0045BB12 */
         DisplayTownerMenu                  = 0x0045BC51;  /* 0045BBF6 */
         UpdateMenu                         = 0x0045BE12;  /* 0045BDB7 */
         GillianBackHandler                 = 0x0045BF44;  /* 0045BEEC */
         AdjustGoldPaquetSize               = 0x0045C2A3;  /* 0045C24B */
         RemoveGoldFromPlayer               = 0x0045C32F;  /* 0045C2D7 */
         CanSellItem                        = 0x0045C818;  /* 0045C7C9 */
         GillianGeneralSelect               = 0x0045D883;  /* 0045D83F */
         SpellTbl                           = 0x004A4368;  /* 004A3448 */
         CursorHeight                       = 0x004BAC48;  /* 004B9F74 */
         CursorWidth                        = 0x004BAC50;  /* 004B9F7C */
         MaxNumberOfPlayers                 = 0x0067B6C8;  /* 0067A990 */
         CurrentPlayer                      = 0x00688494;  /* 00687774 */
         CharactersAddress                  = 0x00688498;  /* 00687778 */
         FirstLineOfMenu                    = 0x006A1148;  /* 006A0438 */
         NbLinesInMenu                      = 0x006A114C;  /* 006A043C */
         PreviousMenuLine                   = 0x006A1150;  /* 006A0440 */
         PreviousMenu                       = 0x006A12C8;  /* 006A05B8 */
         TownerNameIndex                    = 0x006A1B78;  /* 006A0E68 */
         MenuLineTbl                        = 0x006A1B80;  /* 006A0E70 */
         LargeMenu                          = 0x006A2A20;  /* 006A1D10 */
         NbEntriesInLift                    = 0x006A2A24;  /* 006A1D14 */
         MenuCursorFrameIndex               = 0x006A2A28;  /* 006A1D18 */
         TmpPlayerItem                      = 0x006A2A30;  /* 006A1D20 */
         FirstDialogIndex                   = 0x006A6F30;  /* 006A6220 */
         MenuWithLift                       = 0x006A8BF8;  /* 006A7EE8 */
         ItemNumberOfLine                   = 0x006AAA30;  /* 006A9D20 */
         PreviousFirstItemIndex             = 0x006AAA64;  /* 006A9D54 */
         MenuLine                           = 0x006AAA68;  /* 006A9D58 */
         LastDialogIndex                    = 0x006AAA70;  /* 006A9D60 */
         FirstItemIndexInMenu               = 0x006AAA78;  /* 006A9D68 */
         CurrentMenu                        = 0x006AC745;  /* 006ABA38 */
         LastSelectableLine                 = 0x006AC740;  /* 006ABA30 */
         Characters                         = &CharactersAddress;
         break;
      case D107 :
/*         SetCursorSize                      = 0x; */
         SetCursorPicture                   = 0x00407488;
         Random                             = 0x00417C77;
         ReleaseFile                        = 0x00417D1B;
         LoadFileHook1                      = 0x0041BAB1;
         DoesFitInInventory                 = 0x0041CA3A;
         DoesFitInInventoryOrBelt           = 0x0041CB99;
         RemoveItemWithPosIndex             = 0x0041E010;
         RemoveItemWithNegIndex             = 0x0041E103;
         UpdateItem                         = 0x00420730;
         IsEquipable                        = 0x00424D53;
         LoadFileHook2                      = 0x004271C9;
         SaveFileRelated                    = 0x0044B15A;
         SaveFileHook                       = 0x0044B204;
         CreatePlrHook                      = 0x0044B7F2;
         PartOfLoadFileIII                  = 0x0044BA60;
         CreatePlayer                       = 0x0044C767;
         UpdateSmallMenu                    = 0x0045937B;
         DisplayMenuLine                    = 0x004593D9;
         DisplayMenuFullLine                = 0x004595E7;
         UpdateLift                         = 0x00459671;
         EraseMenuLinesRange                = 0x00459771;
         SettMenuFullLine                   = 0x004597B6;
         SetMenuLine98                      = 0x004597DB;
         SetMenuLine04                      = 0x004597E8;
         AddMenuLine                        = 0x004597F5;
         AddCursorItemToInventory           = 0x00459846;
         UpdateLargeMenu                    = 0x00428D30;
         GriswoldDisplay4Items              = 0x00459B8F;
         DisplayItemDescription             = 0x00459C4B;
         GriswoldDisplay4PremiumItems       = 0x00459F80;
         PlayerDisplay4Items                = 0x0045A18D;
         AdriaDisplay4Items                 = 0x0045A7F2;
         PepinDisplay4Items                 = 0x0045B325;
         GillianGeneralMenu                 = 0x0045BB12;
         DisplayTownerMenu                  = 0x0045BBF6;
         UpdateMenu                         = 0x0045BDB7;
         GillianBackHandler                 = 0x0045BEEC;
         AdjustGoldPaquetSize               = 0x0045C24B;
         RemoveGoldFromPlayer               = 0x0045C2D7;
         CanSellItem                        = 0x0045C7C9;
/*         GriswoldAdriaSellItemConfirmed     = 0x;
         AdriaBuyItemConfirmed              = 0x; */
         GillianGeneralSelect               = 0x0045D83F;

         SpellTbl                           = 0x004A3450;
         CursorHeight                       = 0x004B9F74;
         CursorWidth                        = 0x004B9F7C;
         MaxNumberOfPlayers                 = 0x0067A990;
         CurrentPlayer                      = 0x00687774;
         CharactersAddress                  = 0x00687778; /* End = 0x0069CAD8 */
         Characters                         = &CharactersAddress;
         FirstLineOfMenu                    = 0x006A0438;
         NbLinesInMenu                      = 0x006A043C;
         PreviousMenuLine                   = 0x006A0440;
/*         WirtItem                           = 0x; */
         PreviousMenu                       = 0x006A05B8;
/*         GriswoldPremiumItems               = 0x006A05C4; */
         TownerNameIndex                    = 0x006A0E68;
         MenuLineTbl                        = 0x006A0E70;
         LargeMenu                          = 0x006A1D10;
         NbEntriesInLift                    = 0x006A1D14;
         MenuCursorFrameIndex               = 0x006A1D18;
         TmpPlayerItem                      = 0x006A1D20; /* End 0x */
         FirstDialogIndex                   = 0x006A6220;
/*         AdriaItems                         = 0x; */
         MenuWithLift                       = 0x006A7EE8;
/*         PepinItems                         = 0x; */
         ItemNumberOfLine                   = 0x006A9D20;
         PreviousFirstItemIndex             = 0x006A9D54;
         MenuLine                           = 0x006A9D58;
         LastDialogIndex                    = 0x006A9D60;
         FirstItemIndexInMenu               = 0x006A9D68;
         GriswoldItems                      = 0x006A9D70; /* End 0x */
         CurrentMenu                        = 0x006ABA38;
         LastSelectableLine                 = 0x006ABA30;
         break;
      case D104 :
         SetCursorPicture                   = 0x0044F505; /* 0040746B */
         Random                             = 0x00456231;
         ReleaseFile                        = 0x004562DA; /* 004175E8 */
         LoadFileHook1                      = 0x0043FCA9; /* 0041B347 */
         DoesFitInInventory                 = 0x00415E92; /* 0041C23F */
         DoesFitInInventoryOrBelt           = 0x0041602F; /* 0041C373 */
         RemoveItemWithPosIndex             = 0x00417B54; /* 0041D722 */
         RemoveItemWithNegIndex             = 0x00417C76; /* 0041D810 */
         UpdateItem                         = 0x0042D277; /* 0041FD3E */
         IsEquipable                        = 0x00431E9C; /* 004241D7 */
         LoadFileHook2                      = 0x0045B3C2; /* 00426575 */
         SaveFileRelated                    = 0x00435DB8; /* 00449A33 */
         SaveFileHook                       = 0x00435E63; /* 00449AD5 */
         CreatePlrHook                      = 0x0043634F;
         PartOfLoadFileIII                  = 0x004365E8; /* 0044A512 */
         CreatePlayer                       = 0x00437573;
         UpdateSmallMenu                    = 0x00421C16; /* 00457B78 */
         DisplayMenuLine                    = 0x00421C74; /* 00457BD6 */
         DisplayMenuFullLine                = 0x00421E82; /* 00457DE2 */
         UpdateLift                         = 0x00421F0E; /* 00457E62 */
         EraseMenuLinesRange                = 0x00422023; /* 00457F61 */
         SettMenuFullLine                   = 0x00422062; /* 00457FA6 */
         SetMenuLine98                      = 0x00422087; /* 00457FCB */
         SetMenuLine04                      = 0x00422094; /* 00457FD8 */
         AddMenuLine                        = 0x004220A1; /* 00457FE5 */
         AddCursorItemToInventory           = 0x004220F5; /* 00458036 */
         UpdateLargeMenu                    = 0x0042BEED; /* 00428104 */
         GriswoldDisplay4Items              = 0x00422488; /* 0045837D */
         DisplayItemDescription             = 0x00422545; /* 00458439 */
         GriswoldDisplay4PremiumItems       = 0x0042288B; /* 00458773 */
         PlayerDisplay4Items                = 0x00422AC5; /* 00458972 */
         AdriaDisplay4Items                 = 0x00423216; /* 00458FE3 */
         PepinDisplay4Items                 = 0x00423EE7; /* 00459AA5 */
         GillianGeneralMenu                 = 0x0042481F; /* 0045A1EC */
         DisplayTownerMenu                  = 0x0042491B; /* 0045A2D0 */
         UpdateMenu                         = 0x00424ADF; /* 0045A48F */
         GillianBackHandler                 = 0x00424C3B; /* 0045A5C4 */
         AdjustGoldPaquetSize               = 0x0042509B; /* 0045A904 */
         RemoveGoldFromPlayer               = 0x0042512D; /* 0045A990 */
         CanSellItem                        = 0x00425728; /* 0045AE72 */
         GillianGeneralSelect               = 0x00426B60; /* 0045BE98 */
         SpellTbl                           = 0x00488200; /* 004A23C8 */
         CursorHeight                       = 0x00689958; /* 004B8C9C */
         CursorWidth                        = 0x00689960; /* 004B8CA4 */
         MaxNumberOfPlayers                 = 0x006076E8; /* 00679660 */
         CurrentPlayer                      = 0x0061731C; /* 00686444 */
         Characters                         = 0x004A3188;
         FirstLineOfMenu                    = 0x005F8740; /* 0069F108 */
         NbLinesInMenu                      = 0x005F8744; /* 0069F10C */
         PreviousMenuLine                   = 0x005F8748; /* 0069F110 */
         PreviousMenu                       = 0x005F88C0; /* 0069F288 */
         TownerNameIndex                    = 0x005F9170; /* 0069FB38 */
         MenuLineTbl                        = 0x005F9178; /* 0069FB40 */
         LargeMenu                          = 0x005FA018; /* 006A09E0 */
         NbEntriesInLift                    = 0x005FA01C; /* 006A09E4 */
         MenuCursorFrameIndex               = 0x005FA020; /* 006A09E8 */
         TmpPlayerItem                      = 0x005FA028; /* 006A09F0 */
         FirstDialogIndex                   = 0x005FE528; /* 006A4EF0 */
         MenuWithLift                       = 0x006001F0; /* 006A6BB8 */
         ItemNumberOfLine                   = 0x00602028; /* 006A89F0 */
         PreviousFirstItemIndex             = 0x0060205C; /* 006A8A24 */
         MenuLine                           = 0x00602060; /* 006A8A28 */
         LastDialogIndex                    = 0x00602068; /* 006A8A30 */
         FirstItemIndexInMenu               = 0x00602070; /* 006A8A38 */
         LastSelectableLine                 = 0x00603D38; /* 006AA700 */
         CurrentMenu                        = 0x00603D40; /* 006AA705 */
         break;
      case H101 :
         SetCursorPicture                   = 0x00407ACA;
         Random                             = 0x00419F5A;
         ReleaseFile                        = 0x00419FFF;
         LoadFileHook1                      = 0x0041E006;
         DoesFitInInventory                 = 0x0041F373;
         DoesFitInInventoryOrBelt           = 0x0041F505;
         RemoveItemWithPosIndex             = 0x00420E7F;
         RemoveItemWithNegIndex             = 0x00421122;
         UpdateItem                         = 0x00424ABF;
         IsEquipable                        = 0x0042A06A;
         LoadFileHook2                      = 0x0042CE46;
         SaveFileRelated                    = 0x00456173;
         SaveFileHook                       = 0x0045621D;
         CreatePlrHook                      = 0x004567F8;
         PartOfLoadFileIII                  = 0x00456A83;
         CreatePlayer                       = 0x00457CC2;
         UpdateSmallMenu                    = 0x0046C5BE;
         DisplayMenuLine                    = 0x0046C61C;
         DisplayMenuFullLine                = 0x0046C82A;
         UpdateLift                         = 0x0046C8B4;
         EraseMenuLinesRange                = 0x0046C9B4;
         SettMenuFullLine                   = 0x0046C9F9;
         SetMenuLine98                      = 0x0046CA1E;
         SetMenuLine04                      = 0x0046CA2B;
         AddMenuLine                        = 0x0046CA38;
         AddCursorItemToInventory           = 0x0046CA89;
         UpdateLargeMenu                    = 0x0042E5A4;
         GriswoldDisplay4Items              = 0x0046CDF4;
         DisplayItemDescription             = 0x0046CEB0;
         GriswoldDisplay4PremiumItems       = 0x0046D1EC;
         PlayerDisplay4Items                = 0x0046D458;
         AdriaDisplay4Items                 = 0x0046DC04;
         PepinDisplay4Items                 = 0x0046E89E;
         GillianGeneralMenu                 = 0x0046F15A;
         DisplayTownerMenu                  = 0x0046F23E;
         UpdateMenu                         = 0x0046F3FF;
         GillianBackHandler                 = 0x0046F534;
         AdjustGoldPaquetSize               = 0x0046F893;
         RemoveGoldFromPlayer               = 0x0046F92D;
         CanSellItem                        = 0x0046FEC6;
         GillianGeneralSelect               = 0x004710FC;
         SpellTbl                           = 0x004B75E8;
         CursorHeight                       = 0x004D161C;
         CursorWidth                        = 0x004D1624;
         MaxNumberOfPlayers                 = 0x006DDFC8;
         CurrentPlayer                      = 0x006EADE8;
         Characters                         = 0x006EAE14;
         FirstLineOfMenu                    = 0x006EE898;
         NbLinesInMenu                      = 0x006EE89C;
         PreviousMenuLine                   = 0x006EE8A0;
         PreviousMenu                       = 0x006EEA1C;
         TownerNameIndex                    = 0x006EFFF4;
         MenuLineTbl                        = 0x006EFFF8; /* End = 6F3F58 */
         LargeMenu                          = 0x006F3F58;
         NbEntriesInLift                    = 0x006F3F5C;
         MenuCursorFrameIndex               = 0x006F3F60;
         TmpPlayerItem                      = 0x006F3F68; /* End = 0x */
         FirstDialogIndex                   = 0x006A4EF0;
         MenuWithLift                       = 0x006FA984;
         ItemNumberOfLine                   = 0x006FC818;
         PreviousFirstItemIndex             = 0x006FC84C;
         MenuLine                           = 0x006FC850;
         LastDialogIndex                    = 0x006A8A30;
         FirstItemIndexInMenu               = 0x006FC860;
         GriswoldItems                      = 0x006FC868; /* End = 0x */
         CurrentMenu                        = 0x006FECC4;
         LastSelectableLine                 = 0x006FECBC;
         break;
      case H100e:
         SetCursorPicture                   = 0x004078A1;
         Random                             = 0x00419CED;
         ReleaseFile                        = 0x00419D91;
         LoadFileHook1                      = 0x0041DD38;
         DoesFitInInventory                 = 0x0041F087;
         DoesFitInInventoryOrBelt           = 0x0041F219;
         RemoveItemWithPosIndex             = 0x00420AC2;
         RemoveItemWithNegIndex             = 0x00420D65;
         UpdateItem                         = 0x004244C4;
         IsEquipable                        = 0x00429A28;
         LoadFileHook2                      = 0x0042C77B;
         SaveFileRelated                    = 0x00455799;
         SaveFileHook                       = 0x00455843;
         CreatePlrHook                      = 0x00455E11;
         PartOfLoadFileIII                  = 0x0045609C;
         CreatePlayer                       = 0x00456E74;
         UpdateSmallMenu                    = 0x0046B5B3;
         DisplayMenuLine                    = 0x0046B611;
         DisplayMenuFullLine                = 0x0046B81F;
         UpdateLift                         = 0x0046B8A9;
         EraseMenuLinesRange                = 0x0046B9A9;
         SettMenuFullLine                   = 0x0046B9EE;
         SetMenuLine98                      = 0x0046BA13;
         SetMenuLine04                      = 0x0046BA20;
         AddMenuLine                        = 0x0046BA2D;
         AddCursorItemToInventory           = 0x0046BA7E;
         UpdateLargeMenu                    = 0x0042DECA;
         GriswoldDisplay4Items              = 0x0046BDE9;
         DisplayItemDescription             = 0x0046BEA5;
         GriswoldDisplay4PremiumItems       = 0x0046C1E1;
         PlayerDisplay4Items                = 0x0046C452;
         AdriaDisplay4Items                 = 0x0046CBF4;
         PepinDisplay4Items                 = 0x0046D874;
         GillianGeneralMenu                 = 0x0046E123;
         DisplayTownerMenu                  = 0x0046E207;
         UpdateMenu                         = 0x0046E3C8;
         GillianBackHandler                 = 0x0046E4FD;
         AdjustGoldPaquetSize               = 0x0046E85C;
         RemoveGoldFromPlayer               = 0x0046E8F6;
         CanSellItem                        = 0x0046EE8F;
         GillianGeneralSelect               = 0x004700C8;
         SpellTbl                           = 0x004B6650;
         CursorHeight                       = 0x004D050C;
         CursorWidth                        = 0x004D0514;
         MaxNumberOfPlayers                 = 0x006D6508;
         CurrentPlayer                      = 0x006E331C;
         Characters                         = 0x006E3328;
         FirstLineOfMenu                    = 0x006E6DB0;
         NbLinesInMenu                      = 0x006E6DB4;
         PreviousMenuLine                   = 0x006E6DB8;
         PreviousMenu                       = 0x006E6F34;
         TownerNameIndex                    = 0x006E850C;
         MenuLineTbl                        = 0x006E8510;
         LargeMenu                          = 0x006EC470;
         NbEntriesInLift                    = 0x006EC474;
         MenuCursorFrameIndex               = 0x006EC478;
         TmpPlayerItem                      = 0x006EC480;
         FirstDialogIndex                   = 0x006F0A40;
         MenuWithLift                       = 0x006F2E9C;
         ItemNumberOfLine                   = 0x006F4D2F;
         PreviousFirstItemIndex             = 0x006F4D64;
         MenuLine                           = 0x006F4D68;
         LastDialogIndex                    = 0x006F4D70;
         FirstItemIndexInMenu               = 0x006F4D78;
         GriswoldItems                      = 0x0042AF8A;
         CurrentMenu                        = 0x006F71DC;
         LastSelectableLine                 = 0x006F71D4;
         break;
      default :
         break;
   }
}
